[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Menus' (#lcl)

# TMenuItem.DestroyHandle

Frees the Handle for the control and any handles allocated for its Items.

## Declaration

Source position: menus.pp line 240

`protected procedure TMenuItem.DestroyHandle; virtual;`

## Description

Handles for menu items in Merged are also freed. Calls the corresponding method in the widgetset class to destroy the handle, and sets the Handle property to 0 to indicate that it is unassigned.